Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.listener.serversession
Class ServerSessionMessageListenerContainer102

    java.lang.Object
      org.springframework.jms.support.JmsAccessor
          org.springframework.jms.support.destination.JmsDestinationAccessor
              org.springframework.jms.listener.AbstractJmsListeningContainer
                  org.springframework.jms.listener.AbstractMessageListenerContainer
                      org.springframework.jms.listener.serversession.ServerSessionMessageListenerContainer
                          org.springframework.jms.listener.serversession.ServerSessionMessageListenerContainer102

All Implemented Interfaces:
  BeanNameAware, DisposableBean, InitializingBean, Lifecycle, ListenerSessionManager

Deprecated. as of Spring 2.5, in favor of DefaultMessageListenerContainer and JmsMessageEndpointManager. To be removed in Spring 3.0.

    public class ServerSessionMessageListenerContainer102

extends ServerSessionMessageListenerContainer

A subclass of `ServerSessionMessageListenerContainer` for the JMS 1.0.2 specification, not relying on JMS 1.1 methods like ServerSessionMessageListenerContainer itself.

This class can be used for JMS 1.0.2 providers, offering the same facility as ServerSessionMessageListenerContainer does for JMS 1.1 providers.

Since:
  2.0
Author:
  Juergen Hoeller

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.jms.listener.AbstractJmsListeningContainer
`AbstractJmsListeningContainer.SharedConnectionNotInitializedException`

Field Summary

Fields inherited from class org.springframework.jms.listener.AbstractJmsListeningContainer
`lifecycleMonitor, sharedConnectionMonitor`

Fields inherited from class org.springframework.jms.support.JmsAccessor
`logger`

Constructor Summary
`ServerSessionMessageListenerContainer102()` Deprecated.

Method Summary
`protected Connection` | `createConnection()` Deprecated. This implementation overrides the superclass method to use JMS 1.0.2 API.
`protected ConnectionConsumer` | `createConsumer(Connection con, Destination destination, ServerSessionPool pool)` Deprecated. This implementation overrides the superclass method to use JMS 1.0.2 API.
`protected Session` | `createSession(Connection con)` Deprecated. This implementation overrides the superclass method to use JMS 1.0.2 API.
`protected boolean` | `isClientAcknowledge(Session session)` Deprecated. This implementation overrides the superclass method to avoid using JMS 1.1's Session `getAcknowledgeMode()` method.

Methods inherited from class org.springframework.jms.listener.serversession.ServerSessionMessageListenerContainer
`createListenerSession, createServerSessionPool, doInitialize, doShutdown, executeListenerSession, getConsumer, getMaxMessagesPerTask, getServerSessionFactory, setMaxMessagesPerTask, setServerSessionFactory, sharedConnectionEnabled`

Methods inherited from class org.springframework.jms.listener.AbstractMessageListenerContainer
`checkMessageListener, commitIfNecessary, doExecuteListener, doInvokeListener, doInvokeListener, executeListener, getDestination, getDestinationName, getDurableSubscriptionName, getExceptionListener, getMessageListener, getMessageSelector, handleListenerException, invokeExceptionListener, invokeListener, isAcceptMessagesWhileStopping, isExposeListenerSession, isSessionLocallyTransacted, isSubscriptionDurable, rollbackIfNecessary, rollbackOnExceptionIfNecessary, setAcceptMessagesWhileStopping, setDestination, setDestinationName, setDurableSubscriptionName, setExceptionListener, setExposeListenerSession, setMessageListener, setMessageSelector, setSubscriptionDurable, validateConfiguration`

Methods inherited from class org.springframework.jms.listener.AbstractJmsListeningContainer
`afterPropertiesSet, createSharedConnection, destroy, doRescheduleTask, doStart, doStop, establishSharedConnection, getBeanName, getClientId, getPausedTaskCount, getSharedConnection, initialize, isActive, isRunning, logRejectedTask, prepareSharedConnection, refreshSharedConnection, rescheduleTaskIfNecessary, resumePausedTasks, runningAllowed, setAutoStartup, setBeanName, setClientId, shutdown, start, startSharedConnection, stop, stopSharedConnection, waitWhileNotRunning`

Methods inherited from class org.springframework.jms.support.destination.JmsDestinationAccessor
`getDestinationResolver, isPubSubDomain, resolveDestinationName, setDestinationResolver, setPubSubDomain`

Methods inherited from class org.springframework.jms.support.JmsAccessor
`convertJmsAccessException, getConnectionFactory, getSessionAcknowledgeMode, isSessionTransacted, setConnectionFactory, setSessionAcknowledgeMode, setSessionAcknowledgeModeName, setSessionTransacted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSessionMessageListenerContainer102

    public ServerSessionMessageListenerContainer102()

  Deprecated.

Method Detail

### createConnection

    protected Connection createConnection()
                                   throws JMSException

  Deprecated.
  This implementation overrides the superclass method to use JMS 1.0.2 API.

  Overrides:
    `createConnection` in class `JmsAccessor`
  Returns:
    the new JMS Connection
  Throws:
    `JMSException` - if thrown by JMS API methods
  See Also:
    `ConnectionFactory.createConnection()`

### createConsumer

    protected ConnectionConsumer createConsumer(Connection con,
                                                Destination destination,
                                                ServerSessionPool pool)
                                         throws JMSException

  Deprecated.
  This implementation overrides the superclass method to use JMS 1.0.2 API.

  Overrides:
    `createConsumer` in class `ServerSessionMessageListenerContainer`
  Parameters:
    `con` - the JMS Connection to create a Session for
    `destination` - the JMS Destination to listen to
    `pool` - the ServerSessionpool to use
  Returns:
    the new JMS Session
  Throws:
    `JMSException` - if thrown by JMS API methods

### createSession

    protected Session createSession(Connection con)
                             throws JMSException

  Deprecated.
  This implementation overrides the superclass method to use JMS 1.0.2 API.

  Overrides:
    `createSession` in class `JmsAccessor`
  Parameters:
    `con` - the JMS Connection to create a Session for
  Returns:
    the new JMS Session
  Throws:
    `JMSException` - if thrown by JMS API methods
  See Also:
    `Connection.createSession(boolean, int)`

### isClientAcknowledge

    protected boolean isClientAcknowledge(Session session)
                                   throws JMSException

  Deprecated.
  This implementation overrides the superclass method to avoid using JMS 1.1's Session `getAcknowledgeMode()` method. The best we can do here is to check the setting on the listener container.

  Overrides:
    `isClientAcknowledge` in class `JmsAccessor`
  Parameters:
    `session` - the JMS Session to check
  Returns:
    whether the given Session is in client acknowledge mode
  Throws:
    `JMSException` - if thrown by JMS API methods
  See Also:
    `Session.getAcknowledgeMode()`, `Session.CLIENT_ACKNOWLEDGE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.